Groups

Groups are collections of Users that can be used to manage permissions and access to resources.

List Groups

Lists personnel groups (teams / departments) for the account, optionally filtered by a case-insensitive name substring via q. The resolved group id can then be used to filter personnel via groupIds[] on the personnel endpoints. Reuses the Personnel read permission/scope.

🔒 Requires Personnel: List Personnel permission.

Securitybearer
Request
query Parameters
cursor
string

This parameter is used to paginate through results. No value is needed for the first request. If there are additional results, the response will contain a pagination.cursor value that can be used in the subsequent request to retrieve the next page of results

size
number [ 1 .. 500 ]
Default: 50

Number of results to return

sort
string (SortTypeLimitedEnum)

Which field to sort by

Enum: "createdAt" "updatedAt"
sortDir
string (SortDirectionEnum)

The direction to sort the data

Enum: "ASC" "DESC"
includeTotalCount
boolean
Default: false

Include total count of all matching records in response. Only honored on first page (when cursor is null).

Example: includeTotalCount=false
q
string <= 191 characters

Filter groups by a case-insensitive name substring (e.g. "Engineering"). Omit to list all groups.

Responses
200

Successful

400

Malformed data and/or validation errors

401

Invalid Authorization

403

You are not allowed to perform this action

412

You must accept the Drata terms and conditions to use the API

500

Internal server error

get/groups
Request samples
Response samples
application/json
{
  • "data": [
    • {
      • "id": 1,
      • "name": "Engineering Team",
      • "externalId": "external-group-123",
      • "source": "GOOGLE",
      • "connectionId": 1,
      • "createdAt": "2025-07-01T16:45:55.246Z",
      • "updatedAt": "2025-07-01T16:45:55.246Z"
      }
    ],
  • "pagination": {
    • "cursor": "string",
    • "totalCount": 0
    }
}